Subject: RE: [magma] Doubt regarding Snooping and Proxy function of a swit ch.

From: "KIMBALL,KAREN (HP-Roseville,ex1)" <[email-masked]>
Date: Tue, 3 Feb 2004 11:39:10 -0800

Hi, Everyone,
 
> Hello All,
> 
> I was reading the drafts -- draft-ietf-magma-snoop-10.txt and
> draft-ietf-magma-igmp-proxy-04.txt and i need following 
> clarifications -
> 
> 1.IGMP snooping switch which doesn't perform proxy function --
> 
> Do we need to forward the IGMP queries received on router 
> ports to other ports??? 

YES. Specifically, to ports which have 1) routers or 2) have been
configured by the user to forward IGMP protocol and data pkts.
This is covered in the draft.

> If yes,
> a)Do we need to modify the source IP address to 0.0.0.0 ?

NO. The snooping switch does not alter the protocol packets
it snoops. This, also, is covered in the draft.

> 2.IGMP snooping switch which performs proxy-reporting also --
> 
> For performing proxy function, according to draft 
> proxy-04.txt, we must have
> only one upstream interface and it works only in tree topology.
> a) Does this imply, we cannot implement proxy function in a 
> IGMP snooping switch when there are more than one router 
> ports? But the draft snoop-10.txt section 2.1.1  statement 2), 
> states that IGMP snooping switches may also implement 
> proxy function.

This is a question for the Proxy Draft author. Haixiang?

Thanks,
	Karen Kimball

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: "girishkg" <[email-masked]>
Date: Thu, 5 Feb 2004 13:59:19 +0530

Thanks for the response. I have some doubts regarding IGMPv3/MLDv2 snooping
switch implementation
(draft-ietf-magma-snoop-10.txt)----

DOUBT 1 >>>>>>>Referring to section 2.1.1 2),
A IGMP snooping & proxy-reporting switch, acts as a querier for the down
stream hosts while proxy-reporting to real upstream queriers. Does this
imply that for upstream queries, the snooping switch will look up its data
base and --

case 1: If a matching record is found.

a)Does it still need to forward the query to the other ports? or the MLDv2
snooping switch will independently run router portion of MLDv2 on its host
interfaces and upon getting current status/ status change records from
downstream hosts, it will update the router data base. And using this router
data base only, it will form a appropriate MLDv2 Listener report message to
the upstream queries.

b)If it is not forwarding the queries received from routers to other ports
rather proxy-reporting, then i feel every router connected to the snooping
switch will think itself as a querier on that port.( against one querier on
all ports in normal snooping behaviour).

case 2: If a matching record is not found.

a) Do we need to forward the query send from upstream routers and wait for
the downstream hosts to reply to the IGMP snooping switch with in Query
response interval and then based on the replies received, snooping switch
will update its data base and reply to the upstream querier on behalf of
down stream hosts(proxy reporting) or

b) Based on the query received from router ports, it will not forward,
rather switch will form its own query message
with source IP address of 0.0.0.0 and send on all ports except the one on
which it received.

DOUBT 2>>>>>>> Referring to section 2.1.1 1) b)
"0.0.0.0 represents a special case when switch is proxying IGMP queries for
faster network convergence, but is not itself the querier."

a) Please explain me the case when switch is proxying the IGMP queries =>
does it imply that it snoops the queries and changes the IP address in the
query message to 0.0.0.0 and then forwards it ?  or it means that when a
switch receives a TO_IN(  {} ) which is equivalent to Done message in MLDV1,
it sends a query message with a source IP address of 0.0.0.0.

Thanks a lot in advance.

Best Regards
Girish Gupta.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
KIMBALL,KAREN (HP-Roseville,ex1)
Sent: Wednesday, 4 February 2004 1:09 AM
To: [email-masked]'
Subject: RE: [magma] Doubt regarding Snooping and Proxy function of a
switch.

Hi, Everyone,

Thanks,
        Karen Kimball

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: "girishkg" <[email-masked]>
Date: Thu, 5 Feb 2004 13:59:19 +0530

Thanks a lot in advance.

Best Regards
Girish Gupta.

-----Original Message-----

Hi, Everyone,

Thanks,
        Karen Kimball